diff -Nru -w apt-1.3~rc1/debian/changelog apt-1.3~rc1+nmu1/debian/changelog
--- apt-1.3~rc1/debian/changelog	2016-08-11 14:10:22.000000000 +0200
+++ apt-1.3~rc1+nmu1/debian/changelog	2016-08-18 21:24:19.000000000 +0200
@@ -1,3 +1,10 @@
+apt (1.3~rc1+nmu1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Document the --solver flag and fix some other details. (Closes: #674523)
+
+ -- Ximin Luo <infinity0@debian.org>  Thu, 18 Aug 2016 21:24:19 +0200
+
 apt (1.3~rc1) unstable; urgency=medium
 
   * Summary: CMake branch merged, socks5h (and tor) support, and fancy
diff -Nru -w apt-1.3~rc1/doc/apt.ent apt-1.3~rc1+nmu1/doc/apt.ent
--- apt-1.3~rc1/doc/apt.ent	2016-08-11 14:10:22.000000000 +0200
+++ apt-1.3~rc1+nmu1/doc/apt.ent	2016-08-18 21:24:19.000000000 +0200
@@ -205,6 +205,9 @@
 <!-- TRANSLATOR: used as in -a=architecture  e.g. -a=armel -->
 <!ENTITY synopsis-architecture "architecture">
 
+<!-- TRANSLATOR: used as in apt-get install --solver=solver pkg  e.g.  --solver=aspcud -->
+<!ENTITY synopsis-solver "solver">
+
 <!-- TRANSLATOR: used as in apt-get install pkg  e.g. apt-get install awesome -->
 <!ENTITY synopsis-pkg "pkg">
 
diff -Nru -w apt-1.3~rc1/doc/apt-get.8.xml apt-1.3~rc1+nmu1/doc/apt-get.8.xml
--- apt-1.3~rc1/doc/apt-get.8.xml	2016-08-11 14:10:22.000000000 +0200
+++ apt-1.3~rc1+nmu1/doc/apt-get.8.xml	2016-08-18 21:24:19.000000000 +0200
@@ -130,6 +130,13 @@
 		installed.
 	</para>
 
+     <para>An external solver may be specified with --solver=&synopsis-solver;
+     where &synopsis-solver; is a file listed in <filename>/usr/lib/apt/solvers</filename>
+     except that "dump" is not a valid value, and "apt" refers to the internal
+     solver. You may also be interested in the apt-cudf package which integrates
+     APT with some generic solver packages. See also <filename>doc/external-dependency-solver-protocol.txt</filename>
+     for the details of how APT interoperates with external solvers.</para>
+
      <para>Finally, the &apt-preferences; mechanism allows you to
      create an alternative installation policy for
      individual packages.</para>
diff -Nru -w apt-1.3~rc1/doc/apt-verbatim.ent apt-1.3~rc1+nmu1/doc/apt-verbatim.ent
--- apt-1.3~rc1/doc/apt-verbatim.ent	2016-08-11 14:10:22.000000000 +0200
+++ apt-1.3~rc1+nmu1/doc/apt-verbatim.ent	2016-08-18 21:24:19.000000000 +0200
@@ -259,6 +259,7 @@
 <!ENTITY synopsis-arg-config "<arg><option>-c=<filename><replaceable>&synopsis-config-file;</replaceable></filename></option></arg>">
 <!ENTITY synopsis-arg-target-release "<arg><option>-t=<replaceable>&synopsis-target-release;</replaceable></option></arg>">
 <!ENTITY synopsis-arg-architecture "<arg><option>-a=<replaceable>&synopsis-architecture;</replaceable></option></arg>">
+<!ENTITY synopsis-arg-solver "<arg><option>--solver=<replaceable>&synopsis-solver;</replaceable></option></arg>">
 <!ENTITY synopsis-arg-pkgver "<arg choice='plain' rep='repeat'><replaceable>&synopsis-pkg;</replaceable><arg><group choice='req'>
 	<arg choice='plain'>=<replaceable>&synopsis-pkg-ver-number;</replaceable></arg>
 	<arg choice='plain'>/<replaceable>&synopsis-target-release;</replaceable></arg>
@@ -299,7 +300,7 @@
 		<arg choice='plain'>upgrade</arg>
 		<arg choice='plain'>dselect-upgrade</arg>
 		<arg choice='plain'>dist-upgrade</arg>
-		<arg choice='plain'>install &synopsis-arg-pkgver;</arg>
+		<arg choice='plain'>install &synopsis-arg-solver; &synopsis-arg-pkgver;</arg>
 		<arg choice='plain'>remove &synopsis-arg-pkg;</arg>
 		<arg choice='plain'>purge &synopsis-arg-pkg;</arg>
 		<arg choice='plain'>source &synopsis-arg-pkgver;</arg>
diff -Nru -w apt-1.3~rc1/doc/external-dependency-solver-protocol.txt apt-1.3~rc1+nmu1/doc/external-dependency-solver-protocol.txt
--- apt-1.3~rc1/doc/external-dependency-solver-protocol.txt	2016-08-11 14:10:22.000000000 +0200
+++ apt-1.3~rc1+nmu1/doc/external-dependency-solver-protocol.txt	2016-08-18 21:24:16.000000000 +0200
@@ -46,7 +46,7 @@
 
 No non-solver files must be installed under `/usr/lib/apt/solvers`, so
 that an index of available external solvers can be obtained by listing
-the content of that directory.
+the content of that directory. There is one exception, the `dump` program.
 
 
 ## Configuration
